//
//  TestView.swift
//  iOSFirst
//
//  Created by 孙宇峰 on 2023/2/23.
//

import SwiftUI

struct TestView: View {
    @Binding var settingPagePresented: Bool
    
    var body: some View {
        NavigationView {
            Text("hello world")
            .navigationTitle("设置")
            .navigationBarItems(leading: Button(action: {
                settingPagePresented = false
            }, label: {
                Image(systemName: "globe")
                    .imageScale(.large)
                    .foregroundColor(.accentColor)
            
            }))
            .navigationBarTitleDisplayMode(.inline)
        }
    }
}

struct TestView_Previews: PreviewProvider {
    static var previews: some View {
        TestView(settingPagePresented: .constant(true))
    }
}
